
Name:		conntrack-tools
Version:	1.0.1
Release:	1.5
Group:		Productivity/Networking/Security
Summary:	Tools for manipulating the kernel's connection tracking table
License:	GPL
URL:		http://conntrack-tools.netfilter.org/

Source:		http://netfilter.org/projects/%name/files/%name-%version.tar.bz2
Source1:	conntrackd
Source2:	conntrackd.conf
Obsoletes:	netfilter-toolsuite
BuildRequires:	bison flex pkgconfig
BuildRequires:	libnfnetlink-devel libnetfilter_conntrack-devel >= 0.9.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
The conntrack-tools are a set of tools targeted at system
administrators. They are conntrack, the userspace command line
interface, and conntrackd, the userspace daemon. The tool conntrack
provides a full featured interface that is intended to replace the
old /proc/net/ip_conntrack interface. Using conntrack, you can view
and manage the in-kernel connection tracking state table from
userspace. On the other hand, conntrackd covers the specific aspects
of stateful firewalls to enable highly available scenarios, and can
be used as statistics collector as well.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Pablo Neira Ayuso

%prep
%setup -q

%build
##mkdir m4;
%if 0%{?suse_version}
autoreconf -fi;
%endif
%configure --disable-static \
 --exec-prefix=%{_prefix}/libexec

%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
rm -Rf "$b";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;
%__install -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/conntrackd
%__install -D -m644 %{S:2} %{buildroot}%{_sysconfdir}/conntrackd/conntrackd.conf

%clean
rm -Rf "%buildroot";

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %{_sysconfdir}/conntrackd/conntrackd.conf
%{_sysconfdir}/init.d/conntrackd
%_sbindir/*
%_mandir/*/*

%changelog
* Fri Jan  6 2012 cs@linux-administrator.com
- update to release 1.0.1
* Sat Apr  9 2011 cs@linux-administrator.com
- update to release 1.0.0
